## Corruption and Barcens Mentioned in News

# El Pais 
corruption <- c(45, 265, 85, 470)  # corruption
barcenas <- c(33, 103, 145, 525) # barcenas
cat <- c("pre", "pre", "post", "post") 

df = data.frame(cat, corruption, barcenas)

# legend.text = c("pre scandal", "post scandal"), args.legend = list(x="topright", inset =c(0.45,-0.2)), ylim = c(0,600),
setwd("~/Dropbox/In group voting/Wordcounts/")
pdf("Wordcount-ElPais.pdf")
par(mfrow=c(1,2))
barplot(df$corruption, space=c(0.1, 0.1, 1, 0.1), col = c("grey", "black", "grey", "black"), ylim = c(0,600),
        names.arg = c("headlines only", "",  "headlines and lead paragraph", ""), cex.names = 0.6,
        legend.text= c("pre scandal", "post scandal"), args.legend = list(x="topright", inset = c(0.5,0 ), cex =0.7),
        main= "Use of the Word Corruption")

barplot(df$barcenas, space=c(0.1, 0.1, 1, 0.1), col = c("grey", "black", "grey", "black"), ylim = c(0,600),
        names.arg = c("headlines only", "",  "headlines and lead paragraph", ""), cex.names = 0.6,
        legend.text= c("pre scandal", "post scandal"), args.legend = list(x="topright", inset = c(0.5,0 ), cex =0.7),
        main= "Use of the Word Barcenas")
dev.off()



#### EL Mundo
corruption <- c(21, 160, 32, 260)  # corruption
barcenas <- c(14, 90, 88, 337) # barcenas
cat <- c("pre", "pre", "post", "post") 

df = data.frame(cat, corruption, barcenas)

# legend.text = c("pre scandal", "post scandal"), args.legend = list(x="topright", inset =c(0.45,-0.2)), ylim = c(0,600),

pdf("Wordcount-ElMundo.pdf")
par(mfrow=c(1,2))
barplot(df$corruption, space=c(0.1, 0.1, 1, 0.1), col = c("grey", "black", "grey", "black"), ylim = c(0,600),
        names.arg = c("headlines only", "",  "headlines and lead paragraph", ""), cex.names = 0.6, 
        legend.text= c("pre scandal", "post scandal"), args.legend = list(x="topright", inset = c(0.5,0  ), cex =0.7),
        main= "Use of the Word Corruption")

barplot(df$barcenas, space=c(0.1, 0.1, 1, 0.1), col = c("grey", "black", "grey", "black"), ylim = c(0,600),
        names.arg = c("headlines only", "",  "headlines and lead paragraph", ""), cex.names = 0.6,
        legend.text= c("pre scandal", "post scandal"), args.legend = list(x="topright", inset = c(0.5,0 ), cex =0.7),
        main= "Use of the Word Barcenas") 

dev.off()








####################################
# 1 Day Intervals 
####################################

# El Pais 
days <- (-62:59)
corruption1 <- c(0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 1, 0,
                 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 2, 0, 0, 2, 0, 0, 2, 2, 0, 2, 0, 0, 3, 3, 0, 3, 0, 2, 1, 
                 2, 1, 2, 0, 0, 0, 1, 7, 4, 2, 2, 0, 5, 4, 1, 2, 1, 2, 1, 3, 2, 2, 4, 3, 1, 2, 3, 4, 2, 2, 0,
                 2, 0, 1, 1, 1, 0,1, 1, 1, 1, 1, 0, 0, 3, 0, 1, 1, 0, 0,1, 1, 0, 0, 0, 0, 0, 1, 2, 0, 3, 0, 0,
                 1,1)

barcenas1 <- c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 4, 6, 3, 4, 3, 3, 1, 2, 1, 0, 0,
               0, 4, 8, 4, 5, 5, 4, 5, 3, 2, 6, 3, 0, 0, 7, 3, 1, 2, 1, 2, 0, 1, 2, 6, 2, 0, 2, 4, 6, 3, 4, 3, 
               3, 4, 1, 1, 3, 2, 2, 2, 2, 3, 3, 1, 2, 1, 0, 3, 0, 2, 1, 2, 1, 0, 1, 2, 1, 2, 1, 1, 0)


corruption2 <- c(6, 7, 3, 4, 2,4, 5, 0, 5, 3, 0,1, 2, 6, 5, 4, 1, 4, 1, 2, 3, 1, 3, 3, 2, 3, 5, 2, 5, 4, 0,
                 5, 0, 1, 2, 2, 9 , 5, 8, 2, 2, 8, 0, 8, 7, 3, 9, 4, 3, 3, 10, 11, 7, 9, 3, 8, 8, 7, 4, 5,
                 5, 11, 8, 8, 14, 11, 12, 11, 15, 13, 10, 9, 22, 21, 10, 8, 9, 9, 8, 17, 8, 6, 7, 15, 11,
                 13, 10, 7, 3, 4, 8, 6, 7, 9, 6, 5, 7, 7, 9, 6, 6, 8, 8, 4, 6, 3, 4, 6, 4, 5, 8, 2, 0, 4, 6, 5, 
                 0, 8, 3, 4, 5, 2)

barcenas2 <- c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
               0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 2, 0, 2, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 5, 7, 19, 9, 11, 17, 8, 7, 3, 3, 5, 
               2, 1, 0, 15, 24, 22, 36, 20, 33, 17, 16, 14, 16, 13, 10, 3, 10, 10, 5, 6, 9, 4, 1, 1, 10,
               16, 6, 1, 5, 11, 10, 6, 12, 11, 6, 12, 4, 4, 8, 7, 6, 5, 3, 8, 3, 3, 4, 8, 3, 6, 1, 7, 7, 
               6, 12, 1, 1, 6, 7, 7, 2, 3, 2)
  
 
data <- data.frame(days, corruption1, barcenas1)

data2 <- data.frame(days,corruption2, barcenas2)


pdf("elpais-1dayinterval_headlines.pdf")
plot(c(-62,60), c(0,10), type = "n",
     main = "Headlines", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal")
lines(data$days, data$corruption1, type = "l", col = "black", lwd = 3)
lines(data$days, data$barcenas1, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
legend(-65, 10, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
#text(y = c(9, 8, 7), x = c(-50, -50, -50), c("black = corruption", "grey = barcenas", "red = publication papers"), cex = 0.5) 
  dev.off()   


pdf("elpais-1dayinterval_headlinesplus.pdf")

plot(c(-62,60), c(0,40), type = "n",
     main = "Headlines and Lead Paragraph", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal")
lines(data2$days, data2$corruption2, type = "l", col = "black", lwd = 3)

lines(data2$days, data2$barcenas2, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
legend(-65, 40, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
dev.off()


####### 2 DAY Interval
days <- (-31:29)
corruption1 <- c(2, 0, 0, 0, 2,
                 0, 2, 2, 0, 1, 
                 0, 2, 1, 1, 0, 
                 0, 0, 0, 4, 2,
                 2, 0, 4, 2, 0,
                 6, 3, 2, 3, 3, 
                 0, 1, 11, 4, 5, 
                 5, 3, 3, 5, 6, 
                 4, 5, 6, 2, 2, 
                 2, 1, 2, 2, 1, 
                 3, 1, 1, 1, 1, 
                 0, 0, 3, 3, 0, 
                 2)

barcenas1 <- c(0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 
               0, 0, 0, 0, 6,
               10, 7, 6, 3, 1, 
               0, 12, 9, 9, 8,
               8, 3, 7, 4, 3, 
               2, 3, 8, 2, 10,
               7, 6, 5, 4, 4, 
               4, 6, 3, 1, 3,
               3, 3, 1, 3, 3, 1)

corruption2 <- c(13, 7, 6, 5, 8,
                 1, 8, 9, 5, 3, 
                 4, 6, 5, 7, 9, 
                 5, 1, 4, 14, 10,
                 10, 8, 10, 13, 6,
                 21, 16, 11, 15, 9,
                 16, 16, 25, 23, 28, 
                 19, 43, 18, 18, 25, 
                 14, 22, 24, 17, 7,
                 14, 16, 11, 14, 15, 
                 14, 12, 9, 10, 9, 
                 10, 4, 11, 8, 7, 
                 7)
                 
                 
                 
 barcenas2 <- c(0, 0, 0, 0, 0,
                   1, 0, 0, 0, 1,
                   0, 0, 0, 0, 0, 
                   0, 0, 0, 2, 2,
                   0, 0, 0, 0, 12, 
                   28, 28, 15, 6, 7,
                   1, 39, 48, 53,
                  33, 30, 23, 13,  15,
                  15, 5, 11, 22, 6,
                  21, 18, 17, 16, 12,
                  13, 8, 11, 7, 11,
                  7, 14, 18, 2, 13, 9, 5)             
               
              



data <- data.frame(days, corruption1, barcenas1)
data2 <- data.frame(days,corruption2, barcenas2)






pdf("elpais-2dayinterval_headlines.pdf")
plot(c(-31,29), c(0,15), type = "n",
     main = "Headlines", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal", xaxt = 'n')
lines(data$days, data$corruption1, type = "l", col = "black", lwd = 3)
lines(data$days, data$barcenas1, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
axis(1, at = c(-31, -21, -11, 0, 11, 21, 29), labels = c("-60", "-40", "-20" ,"0", "20", "40" ,"60"))
legend(-33, 15, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
#text(y = c(9, 8, 7), x = c(-50, -50, -50), c("black = corruption", "grey = barcenas", "red = publication papers"), cex = 0.5) 
dev.off()   


pdf("elpais-2dayinterval_headlinesplus.pdf")

plot(c(-31,29), c(0,60), type = "n",
     main = "Headlines and Lead Paragraph", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal", xaxt = "n")
lines(data2$days, data2$corruption2, type = "l", col = "black", lwd = 3)

lines(data2$days, data2$barcenas2, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
axis(1, at = c(-31, -21, -11, 0, 11, 21, 29), labels = c("-60", "-40", "-20" ,"0", "20", "40" ,"60"))
legend(-33, 60, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
dev.off()









##### EL MUNDO ##### 

####################################
# 1 Day Intervals 
####################################

days <- (-62:59)
corruption1 <- c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
                 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 
                 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 
                 1, 0, 0, 1, 0, 0, 1, 0, 1, 0,
                 0, 1, 0, 1, 2, 0, 0, 0, 0, 1, 
                 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 
                 0, 0, 0, 1, 1, 2, 0, 4, 1, 3, 
                 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 
                 0, 0, 2, 0, 0, 3, 0, 1, 0, 0,
                 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 
                 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 
                 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
                 0, 1)

corruption2 <- c(2, 1, 0, 2, 0, 0, 6, 0, 0, 3, 
                 0, 4, 3, 4, 2, 3, 1, 2, 2, 5, 
                 1, 2, 2, 1, 4, 0, 3, 1, 8, 0, 
                 2, 3, 0, 1, 2, 1, 3, 0, 1, 0, 
                 4, 1, 2, 1, 6, 1, 2, 2, 2, 7, 
                 9, 3, 5, 4, 5, 3, 1, 3, 11,3, 
                 4, 2, 5, 5, 8, 8, 5, 11, 8, 8, 
                 9, 7, 6, 9, 2, 6, 4, 6, 8, 3, 
                 5, 4, 3, 9, 6, 5, 4, 2, 3, 2,
                 6, 3, 3, 6, 3, 5, 3, 5, 5, 2, 
                 5, 5, 5, 0, 2, 1, 4, 2, 1, 1, 
                 3, 3, 4, 2, 3, 2, 7, 2, 1, 3, 
                 0, 0)

barcenas1 <- c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 
               3, 1, 0, 1, 2, 2, 0, 0, 0, 0, 
               1, 1, 3, 7, 4, 5, 3, 5, 1, 3, 
               2, 1, 0, 2, 0, 0, 0, 1, 1, 0, 
               1, 1, 0, 1, 3, 2, 1, 0, 1, 3, 
               1, 2, 2, 0, 2, 3, 2, 3, 2, 3, 
               1, 2, 1, 1, 1, 1, 2, 0, 1, 0, 
               0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 
               0, 1)

barcenas2 <- c(0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 1, 0, 0, 0,
               0, 0, 0, 0, 0, 0, 0, 0, 8, 12, 
               14, 11, 7, 11, 4, 4, 0, 5, 5, 1,
               3, 4, 8, 19, 14, 20, 10, 11, 12, 14,
               12, 6, 12, 10, 1, 3, 2, 4, 4, 0,
               4, 4, 2, 6, 5, 6, 5, 0, 5, 8,
               2, 4, 6, 3, 2, 6, 6, 6, 8, 6,
               5, 5, 4, 5, 4, 4, 6, 0, 2, 0,
               4, 8, 6, 5, 2, 0, 5, 7, 6, 1,
               0, 2)



data <- data.frame(days, corruption1, barcenas1)

data2 <- data.frame(days,corruption2, barcenas2)


pdf("elmundo-1dayinterval_headlines.pdf")
plot(c(-62,60), c(0,10), type = "n",
     main = "Headlines", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal")
lines(data$days, data$corruption1, type = "l", col = "black", lwd = 3)
lines(data$days, data$barcenas1, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
legend(-65, 10, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
#text(y = c(9, 8, 7), x = c(-50, -50, -50), c("black = corruption", "grey = barcenas", "red = publication papers"), cex = 0.5) 
dev.off()   


pdf("elmundo-1dayinterval_headlinesplus.pdf")

plot(c(-62,60), c(0,25), type = "n",
     main = "Headlines and Lead Paragraph", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal")
lines(data2$days, data2$corruption2, type = "l", col = "black", lwd = 3)
lines(data2$days, data2$barcenas2, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
legend(-65, 25, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
dev.off()






########## 2 day interval 
days <- (-31:29)


corruption1 <- c( 0, 0, 0, 0, 0, 
                  1, 1, 0, 0, 0, 
                  0, 0, 1, 0, 3,
                  1, 1, 0, 1, 1,
                  1, 1, 2, 0, 1,
                  1, 0, 1, 0, 4, 
                  0, 1, 3, 4, 4, 
                  0, 4, 2, 0, 0, 
                  0, 2, 3, 1, 0, 
                  1, 1, 0, 0, 2, 
                  2, 1, 0, 0, 0, 
                  0, 0, 0, 0, 0, 1)


corruption2 <- c(3, 2, 0, 6, 3, 
                 4, 7, 5, 3, 7, 
                 3, 3, 4, 4, 8, 
                 5, 1, 3, 3, 1, 
                 5, 3, 7, 4, 9, 
                 12, 9, 8, 4, 14, 
                 6, 10, 16, 16, 16, 
                 16, 15, 8, 10, 11, 
                 9, 12, 11, 6, 5, 
                 9, 9, 8, 8, 7,
                 10, 5, 3, 6, 2, 
                 6, 6, 5, 9, 4, 0)

barcenas1 <- c(0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0, 
               0, 0, 0, 0, 0,
               0, 0, 0, 0, 0, 
               0, 0, 0, 0, 3,
               4, 1, 4, 0, 0, 
               2, 10, 9, 8, 4,
               3, 2, 0, 1, 1, 
               2, 1, 5, 1, 4, 
               3, 2, 5, 5, 5, 
               3, 2, 2, 2, 1, 
              1, 1, 0, 3, 0, 1 )


barcenas2 <- c( 0, 0, 0, 0, 0,
                0, 0, 0, 0, 0, 
                0, 0, 0, 0, 0, 
                0, 0, 0, 1, 0, 
                0, 0, 0, 0, 20,
                25, 18, 8, 5, 6, 
                7, 27, 34, 21, 26,
                18, 22, 4, 6, 4, 
                8, 8, 11, 5, 13, 
                6, 9, 8, 12, 14,
                10, 9, 8, 6, 2, 
                12, 11, 2, 12, 7, 2)
              



data <- data.frame(days, corruption1, barcenas1)
data2 <- data.frame(days,corruption2, barcenas2)






pdf("elmundo-2dayinterval_headlines.pdf")
plot(c(-31,29), c(0,10), type = "n",
     main = "Headlines", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal", xaxt = 'n')
lines(data$days, data$corruption1, type = "l", col = "black", lwd = 3)
lines(data$days, data$barcenas1, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
axis(1, at = c(-31, -21, -11, 0, 11, 21, 29), labels = c("-60", "-40", "-20" ,"0", "20", "40" ,"60"))
legend(-33, 10, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
#text(y = c(9, 8, 7), x = c(-50, -50, -50), c("black = corruption", "grey = barcenas", "red = publication papers"), cex = 0.5) 
dev.off()   


pdf("elmundo-2dayinterval_headlinesplus.pdf")

plot(c(-31,29), c(0,40), type = "n",
     main = "Headlines and Lead Paragraph", ylab = "Absolute Wordcount",
     xlab = "Days Since Publication Scandal", xaxt = "n")
lines(data2$days, data2$corruption2, type = "l", col = "black", lwd = 3)

lines(data2$days, data2$barcenas2, col = "grey", lwd = 3)
abline(v = 0, col = "black", lwd = 3, lty = 2) 
axis(1, at = c(-31, -21, -11, 0, 11, 21, 29), labels = c("-60", "-40", "-20" ,"0", "20", "40" ,"60"))
legend(-33, 40, c("corruption", "barcenas"), lty = c(1,1), col = c("black", "grey"), lwd = 3, cex = 0.8)
dev.off()









